import { Overlay } from '@angular/cdk/overlay';
import { OnDestroy } from '@angular/core';
import { AlertMeetingConfig } from './alert-meeting-config';
export declare class AlertMeetingService implements OnDestroy {
    private _overlay;
    private _overlayRef?;
    private _alertContainerRef?;
    constructor(_overlay: Overlay);
    show(config: AlertMeetingConfig): string;
    hide(key: string): void;
    private _attachAlertContainer;
    ngOnDestroy(): void;
    private _dispose;
}
